Class | Termtter::TaskManager
In: | lib/termtter/task_manager.rb
Parent: | Object

### Methods

add_task delete_task get_task invoke_and_wait invoke_later kill new pause resume run step

### Public Class methods

new(interval = 1)

### Public Instance methods

add_task(args = {}, &block)
delete_task(key)
get_task(key)
invoke_and_wait() {|| ...}
invoke_later() {|| ...}
kill()
pause()
resume()
run()
step()

[Validate]